<?php 
include('../../../../configuracion.php');
include('../config.php');
$id = isset($_GET['id']) ? $_GET['id'] : NULL;
$datos = $db->row(TABLA,'*',"id='$id'");

///////////////////////////////////////////////////////	 
$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$zona = isset($_POST['zona']) ? $_POST['zona'] : NULL;
$rango_1 = isset($_POST['rango_1']) ? $_POST['rango_1'] : NULL;
$rango_2 = isset($_POST['rango_2']) ? $_POST['rango_2'] : NULL;
$rango_3 = isset($_POST['rango_3']) ? $_POST['rango_3'] : NULL;
$rango_4 = isset($_POST['rango_4']) ? $_POST['rango_4'] : NULL;
$rango_5 = isset($_POST['rango_5']) ? $_POST['rango_5'] : NULL;


$nombre = funcion::LimpiaComillaSimple($nombre);


$editor = $_SESSION['administrador_mago_id'];
$fecha_edicion = date('Y-m-d H:i:s');

		$datos_edicion = array(
			'nombre'		=> $db->string($nombre),
			'zona'			=> $db->string($zona),
			'rango_1'			=> $db->string($rango_1),
			'rango_2'			=> $db->string($rango_2),
			'rango_3'			=> $db->string($rango_3),
			'rango_4'			=> $db->string($rango_4),
			'rango_5'			=> $db->string($rango_5),
		);

		if ($db->update(TABLA,$datos_edicion,"id='{$id}'")==1) {
			$mensaje_respuesta = 'Edición exitosa.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo editar';
			$url_respuesta = MAGO."c/".MODULO.'/editar/'.$id;
		}


		
		
echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>